/*
 * This file was generated by the Gradle 'init' task.
 *
 * This is a general purpose Gradle build.
 * Learn more about Gradle by exploring our Samples at https://docs.gradle.org/8.14.3/samples
 * This project uses @Incubating APIs which are subject to change.
 */

plugins {
  id 'java'
  id 'application' 
}

sourceCompatibility = JavaVersion.VERSION_21
targetCompatibility = JavaVersion.VERSION_21

application {
    mainClass = 'lodge.TestReservations'
}

sourceSets {
  main {
    java { 
      srcDirs = ['src/java']
    }
  }
}

repositories {
  fileTree(dir:'libs', include:'*.jar')
}

dependencies {
  implementation files('libs/gson-2.13.1.jar')
}

jar {
  manifest {
    attributes 'Main-Class': application.mainClass 
  }
}

tasks.named('jar') {
    manifest {
        attributes('Implementation-Title': 'lodge.reservationsystem',
                   'Implementation-Version': 1.0,
                   'Main-Class': 'lodge.TestReservations',
                   'Class-Path': 'lodge.reservationsystem com.google.gson .' )
    }
}